package com.utopiaindustries.qualitychecker.models;

import java.io.Serializable;

public class Dimension implements Serializable {

    private static final long serialVersionUID = 1L;
    private String type;
    private float actual;
    private float required;
    private float difference;
    private String unit;

    public Dimension(){
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public float getActual() {
        return actual;
    }

    public void setActual(float actual) {
        this.actual = actual;
    }

    public float getRequired() {
        return required;
    }

    public void setRequired(float required) {
        this.required = required;
    }

    public float getDifference() {
        return difference;
    }

    public void setDifference(float difference) {
        this.difference = difference;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    @Override
    public String toString() {
        return "Dimension{" +
                "type='" + type + '\'' +
                ", actual=" + actual +
                ", required=" + required +
                ", difference=" + difference +
                '}';
    }
}
